micropython(1)

NAME
micropython - a lean and efficient Python implementation for microcontrollers and constrained systems

SYNOPSIS
micropython [<opts>] [-X <implopt>] [-c <command>] [<filename>]

DESCRIPTION
MicroPython is a lean and efficient implementation of the Python 3 programming language that includes a small subset of the Python standard library and is optimised to run on microcontrollers and in constrained environments. MicroPython is packed full of advanced features such as an interactive prompt, arbitrary precision integers, closures, list comprehension, generators, exception handling and more. Yet it is compact enough to fit and run within just 256k of code space and 16k of RAM. MicroPython aims to be as compatible with normal Python as possible to allow you to transfer code with ease from the desktop to a microcontroller or embedded system.

OPTIONS

-v  verbose (trace various operations); can be multiple

-O[N]
    apply bytecode optimizations of level N

-X  Implementation specific options:

    compile-only
        parse and compile only

    emit={bytecode,native,viper}
        set the default code emitter

    heapsize=<n>[w][K|M]
        set the heap size for the GC (default 2097152)

SEE ALSO
http://docs.micropython.org/ On Debian systems, the HTML manuals can be found in /usr/share/doc/micropython/.

AUTHOR
micropython is written by Damien P. George. This manual page was written by Yangfl (mmyangfl@gmail.com) for the Debian Project (and may be used by others).